<?php

	defined('_JEXEC') or die();

	

	/**

		*

		* @package    VirtueMart

		* @subpackage Plugins  - Elements

		* @author Valérie Isaksen

		* @link https://virtuemart.net

		* @copyright Copyright (c) 2004 - 2011 VirtueMart Team. All rights reserved.

		* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php

		* VirtueMart is free software. This version may have been modified pursuant

		* to the GNU General Public License, and as distributed it includes or

		* is derivative of works licensed under the GNU General Public License or

		* other free or open source software licenses.

		* @version $Id$

	*/

	

	

	

	JFormHelper::loadFieldClass('list');

	jimport('joomla.form.formfield');

	

	

	/*

		* This element is used by the menu manager

		* Should be that way

	*/

	class JFormFieldPayonshipvmshipment extends JFormFieldList {

		

		protected $shipments = null;

		var $type = 'payonshipvmshipment';

		protected function getInput() {

			//$this->multiple=false;

			if ($this->vm_require()) {				

				$shipments = $this->getPayonshipShipments();

				$input = parent::getInput();              

				return $input;

			}	

		}

		

		protected function getOptions() {

			$options = parent::getOptions();

			$shipments = $this->getPayonshipShipments();

			foreach($shipments as $shipment){

			//print_r($shipment);

				if($shipment->published !=0 ){

					$value = $shipment->virtuemart_shipmentmethod_id;

					$text = $shipment->shipment_name;

					$options[] = JHtml::_('select.option', $value, $text);					

				}

			}

			return $options;

		}

		

		protected function getPayonshipShipments(){

			$model = VmModel::getModel('shipmentmethod');

            $shipments = $model->getShipments();		

			$this->shipments = $shipments;

			

			return $this->shipments;

		}

		

		protected function vm_require()

		{

			if (!class_exists('VmConfig')) {

				if (file_exists(JPATH_ADMINISTRATOR . '/components/com_virtuemart/helpers/config.php')) {

					require JPATH_ADMINISTRATOR . '/components/com_virtuemart/helpers/config.php';

					} else {

					$this->error = 'Could not find VmConfig helper';

					return false;

				}

			}

			if (!class_exists('VmModel')) {

				if (defined('JPATH_VM_ADMINISTRATOR') && file_exists(JPATH_VM_ADMINISTRATOR . '/helpers/vmmodel.php')) {

					require JPATH_VM_ADMINISTRATOR . '/helpers/vmmodel.php';

					} else {

					$this->error = 'Could not find VmModel helper';

					return false;

				}

			}

			if (defined('JPATH_VM_ADMINISTRATOR')) {

				JTable::addIncludePath(JPATH_VM_ADMINISTRATOR . '/tables');

			}

			return true;

		}

	}

	

	

