jQuery(function($) {
    var payForShip = Virtuemart.PayOnShip; // массив способов доставки и оплаты
	//console.log(payForShip);
    function shipForPay() {       
        $("div.payment_inner_html div.opc_payment_wrap").removeClass('disabled');
        // активный способ доставки
        var activeShipment = $('input[name="virtuemart_shipmentmethod_id"]:checked').val();
		//console.log(activeShipment);		
        // массив со способами оплаты для текущего способа доставки
        var arrCurPayment = payForShip[activeShipment]; 
		//console.log(arrCurPayment);
        // если есть активный способ доставки
        if(activeShipment){
            // функция поиска значение в массиве
            function findArr (arr, elem) {
                for(var i = 0; i < arr.length; i++) {
                    if(arr[i] == elem) {
                        return true;
					}     
				}
                return false;
			} 
            // способы оплаты
            var itemPayment = $('input[name="virtuemart_paymentmethod_id"]');
            // скрытие способов оплаты
            itemPayment.each(function() {
                var paymentVal = $(this).val();
				if(Array.isArray(arrCurPayment)){
					if(findArr(arrCurPayment, paymentVal)) {
						this.disabled = false;
						$(this).parent('div.opc_payment_wrap').slideDown();
					} else {
						this.disabled = true;
						this.checked = false;					
						$(this).parent('div.opc_payment_wrap').addClass('disabled').removeClass('selected').slideUp();	
					}
				}else{
					this.disabled = false;
					$(this).parent('div.opc_payment_wrap').slideDown();
				}
			});
            // ищем активный способ, если он остался тогда ничего не делаем, если не остался, то делаем активным первый способ оплаты
            var activePayment = $('input[name="virtuemart_paymentmethod_id"]:checked').val();
            if(!activePayment) {
                $('input[name="virtuemart_paymentmethod_id"]:not([disabled]):first').attr('checked', true).parent('div.opc_payment_wrap').addClass('selected');
			}
		}
	}
	$(".opc_ship_wrap").livequery(function(){
	    shipForPay();
        eventShipment();       
	}); 
    
    function updateShipment() {
        shipForPay();        
	}
    function eventShipment() {       
        $('input[name="virtuemart_shipmentmethod_id"]').on('click', updateShipment);       
	}
});